Skip to content

Carrier Settings

All operations require authentication.

13 operationsv1/telephony/{billingAccount}
Agent setup

List Carrier SIP servicesProduction

GET
/1.0/telephony/{billingAccount}/carrierSip

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/carrierSip \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a Carrier SIP serviceProduction

GET
/1.0/telephony/{billingAccount}/carrierSip/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200CarrierSipsuccessful operation
description
read-only
string
—
serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/carrierSip/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "serviceName": "string", "serviceType": "alias"}

Get call detail recordsProduction

GET
/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/cdrs

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Query parameters

month
string

The month you want to extract (format: YYYY-MM). Current month if not specified.

Response

200Documentsuccessful operation
description
string

Description of the document

id
read-only
stringuuid

Identifier of the document

name
string

Name of the document

size
read-only
integer

Document size (in bytes)

url
read-only
string

URL to get document

validationDate
read-only
stringdate-time

Document validation date

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/cdrs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "size": 0, "url": "string", "validationDate": "2024-01-01T12:00:00Z"}

Get the cluster detailsProduction

GET
/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/clusterDetails

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200CarrierSipClusterInfosuccessful operation
name
string

The name of the cluster

zones
CarrierSipClusterZone[]

The availability zones of the cluster

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/clusterDetails \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "name": "string", "zones": [ { "mediaIps": [ "192.0.2.0" ], "region": "rbx" } ]}

List SIP endpointsProduction

GET
/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/endpoints

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/endpoints \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a SIP endpointProduction

GET
/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/endpoints/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200CarrierSipCustomerEndpointsuccessful operation
enableIncomingCalls
read-only
boolean

Should we send incoming calls to this endpoint

id
read-only
integer

SIP Endpoint id

ip
read-only
ipv4

SIP Endpoint IP

port
read-only
integer

SIP Endpoint port

priority
read-only
integer

SIP Endpoint priority (DNS SRV)

protocol
read-only
CarrierSipEndpointProtocolEnum

The protocol of the endpoint (udp/tcp/tls)

Valuestcptlsudp
weight
read-only
integer

SIP Endpoint weight (DNS SRV)

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/endpoints/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "enableIncomingCalls": true, "id": 0, "ip": "192.0.2.0", "port": 0, "priority": 0, "protocol": "tcp", "weight": 0}

Get the settingsProduction

GET
/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/settings

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200CarrierSipDetailssuccessful operation
description
string

The carrier SIP trunk description

maxCallsPerSecond
read-only
integer

The maximum call establishments per second on your carrier sip service

maxConcurrentCalls
read-only
integer

The maximum concurrent calls on your carrier sip service

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/settings \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "maxCallsPerSecond": 0, "maxConcurrentCalls": 0}

Update the settingsProduction

PUT
/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/settings

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

description
string

The carrier SIP trunk description

maxCallsPerSecond
read-only
integer

The maximum call establishments per second on your carrier sip service

maxConcurrentCalls
read-only
integer

The maximum concurrent calls on your carrier sip service

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/settings \
  -H "authorization: Bearer $OVH_TOKEN"

List VNO mandatesProduction

GET
/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/vno

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200string[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/vno \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a VNO mandateProduction

GET
/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/vno/{contractReference}

Path parameters

billingAccount
required
string

The name of your billingAccount

contractReference
required
string

The reference written on your VNO contract.

serviceName
required
string
—

Response

200CarrierSipVnoMandatesuccessful operation
applicationDate
read-only
stringdate-time

Date at which the associated ranges will be routed.

contractReference
read-only
string

The reference written on your VNO contract.

Example uses billingAccount = string, contractReference = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/vno/{contractReference} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "applicationDate": "2024-01-01T12:00:00Z", "contractReference": "string"}

List mandate number rangesProduction

GET
/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/vno/{contractReference}/ranges

Path parameters

billingAccount
required
string

The name of your billingAccount

contractReference
required
string

The reference written on your VNO contract.

serviceName
required
string
—

Response

200string[]successful operation

Example uses billingAccount = string, contractReference = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/vno/{contractReference}/ranges \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a number rangeProduction

GET
/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/vno/{contractReference}/ranges/{prefix}

Path parameters

billingAccount
required
string

The name of your billingAccount

contractReference
required
string

The reference written on your VNO contract.

prefix
required
string

The phone range prefix.

serviceName
required
string
—

Response

200CarrierSipVnoRangesuccessful operation
description
string

The carrier SIP trunk description.

prefix
read-only
string

The phone range prefix.

Example uses billingAccount = string, contractReference = string, prefix = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/vno/{contractReference}/ranges/{prefix} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "prefix": "string"}

Update a number rangeProduction

PUT
/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/vno/{contractReference}/ranges/{prefix}

Path parameters

billingAccount
required
string

The name of your billingAccount

contractReference
required
string

The reference written on your VNO contract.

prefix
required
string

The phone range prefix.

serviceName
required
string
—

Request body (required)

description
string

The carrier SIP trunk description.

prefix
read-only
string

The phone range prefix.

Response

200—successful operation

Example uses billingAccount = string, contractReference = string, prefix = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/carrierSip/{serviceName}/vno/{contractReference}/ranges/{prefix} \
  -H "authorization: Bearer $OVH_TOKEN"